Create Queue
POSThttps://api.confident-ai.com/v1/annotation-queues
Creates a new annotation queue for organizing traces, spans, threads, golden datasets, or test runs for systematic review and annotation.
Queue types:
TRACE: Queue for reviewing complete trace executionsSPAN: Queue for reviewing individual spans within tracesTHREAD: Queue for reviewing conversation threadsGOLDEN: Queue for creating golden datasetsTEST_RUN: Queue for reviewing test run results
Queue names must be unique within your project.
curl -X POST "https://api.confident-ai.com/v1/annotation-queues" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"type": "TRACE"
}'{
"success": true,
"data": {
"id": "queue-uuid"
}
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Request body
namestringRequiredThe name of the annotation queue
typeenumRequiredThe type of items this queue will contain
Show 5 enum valuesHide 5 enum values
TRACESPANTHREADGOLDENTEST_RUN
Response
Successfully created annotation queue
successbooleanIndicates if the annotation queue was successfully created.
dataobjectContains the created annotation queue information.
Show 1 propertyHide 1 property
idstringThe unique identifier of the newly created annotation queue.